import greenfoot.*;

public class Button extends Actor
{
    private boolean mouseOn;
    private String text;
    
    public Button()
    {
        this("");
    }
    
    public Button(String caption)
    {
        setText(caption);
    }

    public void act()
    {
        // gaining mouse hover
        if (!mouseOn && Greenfoot.mouseMoved(this))
        {
            mouseOn = true;
            getImage().setTransparency(255);
        }
        // losing mouse hover
        if (mouseOn && Greenfoot.mouseMoved(null) && !Greenfoot.mouseMoved(this))
        {
            mouseOn = false;
            getImage().setTransparency(128);
        }
    }
    
    /**
     * sets the caption of a button
     */
    public void setText(String caption)
    {
        text = caption;
        mouseOn = false;
        GreenfootImage base = new GreenfootImage(120, 30); // create the base image for the button
        base.fill(); // fill with black (default drawing color) to be used for the frame
        base.setColor(new Color(192, 192, 255)); // set drawing color to a light blue
        base.fillRect(3, 3, 114, 24); // fill background of button leaving the outer frame
        GreenfootImage text = new GreenfootImage(caption, 24, Color.BLACK, new Color(0, 0, 0, 0)); // create text image
        base.drawImage(text, 60-text.getWidth()/2, 15-text.getHeight()/2); // draw text image onto base image
        base.setTransparency(128); // adjust the intensity of the image to 'mouse not over' state
        setImage(base);
    }
    
    /**
     * returns the text captioned on the button
     */
    public String getText()
    {
        return text;
    }
}