import greenfoot.*;

/** creates clock hands */
public class Hand extends Actor
{
    int speed; // seconds per rotation
    
    /** prepares the hand */
    public Hand(int w, int h, Color color, int rate)
    {
        // the image
        GreenfootImage image = new GreenfootImage(w*2, h);
        image.setColor(color);
        image.fillRect(w, 0, w, h);
        setImage(image);
        // the field values
        speed = rate;
    }
    
    /** keeps hand at proper rotation */
    public void set(long time)
    {
        long timeVal = time%(speed*1000);
        setRotation((int)(timeVal*360/(speed*1000))+270);
    }
}