import greenfoot.*;

public class Help extends Actor
{
    private static final Color transRed = new Color(255, 0, 0, 32);
    private static final Color transBlue = new Color(0, 0, 255, 32);
    private static final Color transGreen = new Color(224, 255, 224, 240);
    
    public Help()
    {
        GreenfootImage image = new GreenfootImage(800, 600);
        GreenfootImage section = new GreenfootImage(25, 25);
        section.setColor(transRed);
        section.fillOval(0, 0, 24, 24);
        section.setColor(Color.BLACK);
        section.drawOval(0, 0, 24, 24);
        section.drawOval(1, 1, 22, 22);
        while (section.getHeight() < 595) section.scale(section.getWidth(), section.getHeight()+1);
        while (section.getWidth() < 150) section.scale(section.getWidth()+1, section.getHeight());
        image.drawImage(section, 300, 3);
        section = new GreenfootImage(25, 25);
        section.setColor(transBlue);
        section.fillOval(0, 0, 24, 24);
        section.setColor(Color.BLACK);
        section.drawOval(0, 0, 24, 24);
        section.drawOval(1, 1, 22, 24);
        while (section.getHeight() < 595) section.scale(section.getWidth(), section.getHeight()+1);
        while (section.getWidth() < 300) section.scale(section.getWidth()+1, section.getHeight());
        image.drawImage(section, 0, 3);
        section = new GreenfootImage(25, 25);
        section.setColor(transGreen);
        section.fillOval(0, 0, 24, 24);
        section.setColor(Color.BLACK);
        section.drawOval(0, 0, 24, 24);
        section.drawOval(1, 1, 22, 24);
        while (section.getHeight() < 595) section.scale(section.getWidth(), section.getHeight()+1);
        while (section.getWidth() < 350) section.scale(section.getWidth()+1, section.getHeight());
        image.drawImage(section, 450, 3);
        String text = "BLUE AREA\n(hours and minutes panels)\nFor setting time limits.\n";
        text += "Right click adds one.\nLeft click adds ten.\n\n\n";
        text += "RED AREA\n(seconds panels)\nFor setting increments.\n";
        text += "(added when timer is being stopped\nprovided time is still left on timer)\n";
        text += "Right click adds one.\nLeft click adds ten.\n\n\n";
        text += "GENERAL USE\nSet time limits and increments.\nClick on 'Start' button to begin.";
        text += "\nClick anywhere to change timers\nexcept on 'Stop' button.\n\n\n";
        text += "CLICK TO REMOVE";
        GreenfootImage txtImg = new GreenfootImage(text, 24, Color.BLACK, new Color(0, 0, 0, 0));
        image.drawImage(txtImg, 625-txtImg.getWidth()/2, 300-txtImg.getHeight()/2);
        setImage(image);
    }

    public void act()
    {
        if (Greenfoot.mouseClicked(this)) getWorld().removeObject(this);
    }
}