import greenfoot.*;

public class Panel extends Actor
{
    public static final GreenfootImage base = new GreenfootImage(12, 12);
    static
    {
        base.fillOval(0, 0, 11, 11);
        base.setColor(Color.DARK_GRAY);
        base.fillOval(2, 2, 7, 7);
        while (base.getWidth() < 70) base.scale(base.getWidth()+1, base.getHeight());
        while (base.getHeight() < 120) base.scale(base.getWidth(), base.getHeight()+1);
    };
    
    private int speed;
    private int limit;
    private int length;
    private Color textColor;
    public GreenfootImage[] digitImg = new GreenfootImage[10];
    
    public Panel(int rate, int modulus,int len, Color color)
    {
        speed = rate;
        limit = modulus;
        length = len;
        setImage(new GreenfootImage(160, 120));
        textColor = color;
        for (int i=0; i<10; i++)
        {
            GreenfootImage digit = new GreenfootImage(""+i, 108, textColor, new Color(0, 0, 0, 0));
            digitImg[i] = new GreenfootImage(base);
            digitImg[i].drawImage(digit, 35-digit.getWidth()/2, 60-digit.getHeight()/2);
        }
        set(0L);
    }
    
    /** keeps image with the proper digits */
    public void set(long time)
    {
        long timeVal = time%(speed*1000); // milliseconds in current cycle
        int unit = (speed*1000)/limit; // milliseconds between changes in value
        int value = (int)(timeVal/unit);
        String strVal = ""+value;
        while (length > 0 && strVal.length() < length) strVal = "0"+strVal;
        while (strVal.length() < 2) strVal = " "+strVal;
        GreenfootImage image = getImage();
        image.clear();
        for (int i=0; i<strVal.length(); i++)
        {
            int num = "0123456789".indexOf(strVal.charAt(i));
            if (num >= 0) image.drawImage(digitImg[num], 80-36*strVal.length()+72*i, 0);
            else image.drawImage(base, 80-36*strVal.length()+72*i, 0);
        }
    }
}